print("Sephora's Satchel Scanner v1.0 Alpha")

UpdateInterval		= 10.0;
TimeSinceLastUpdate	= 0.0;

BlockHealerPopup	= false;
BlockDamagePopup	= false;
BlockTankPopup		= false;

function SatchelEventFrame_OnUpdate(self, elapsed)
   TimeSinceLastUpdate = TimeSinceLastUpdate + elapsed; 	
   while (TimeSinceLastUpdate > UpdateInterval) do
     for id = 1, GetNumRandomDungeons() do
       local dungeonID, name = GetLFGRandomDungeonInfo(id) 
       local eligible, forTank, forHealer, forDamage, itemCount, money, xp = GetLFGRoleShortageRewards(dungeonID, 1);
		if eligible and (itemCount ~= 0 or money ~= 0 or xp ~= 0) then 
				if not BlockTankPopup and forHealer then print("Call to Arms (" .. name .. "): Healer"); BlockTankPopup = true; end
				if not BlockDamagePopup and forDamage then print("Call to Arms (" .. name .. "): DPS"); BlockDamagePopup = true; end
				if not BlockHealerPopup and forTank then print("Call to Arms (" .. name .. "): Tank"); BlockHealerPopup = true; end
			else
				BlockHealerPopup	= false;
				BlockDamagePopup	= false;
				BlockTankPopup		= false;
		end
     end
	 TimeSinceLastUpdate = TimeSinceLastUpdate - UpdateInterval;
   end
end

SatchelEventFrame = CreateFrame("Frame","SatchelFrame",UIParent);
SatchelEventFrame:RegisterEvent("ADDON_LOADED");
SatchelEventFrame:SetScript("OnUpdate", SatchelEventFrame_OnUpdate);
SatchelEventFrame:Show()


